
QGIS Application - Bug report #17917

Globe plugin (globeplugin.dll) fails to load

2018-01-21 06:50 PM - Andrea Giudiceandrea

Status: Closed

Priority: Normal

Assignee:

Category: Windows Package

Affected QGIS version:2.18.16 Regression?: No

Operating System: Windows 7 SP1 64 bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25813

Description

After a clean install of QGIS 2.18.16 64 bit (d473c3071a) standalone installer on Windows 7 SP1 64 bit

the Plugin tab of the Log Message Panel reports:

Failed to load C:/PROGRA~1/QGIS2~1.18/apps/qgis/plugins/globeplugin.dll (Reason: Cannot load library

C:/PROGRA~1/QGIS2~1.18/apps/qgis/plugins/globeplugin.dll: Impossibile trovare il modulo specificato.)

though globeplugin.dll is actually in C:/PROGRA~1/QGIS2~1.18/apps/qgis/plugins/

The osgearth-libs (2.7-1) is already installed and I tried to install via OSGeo4W installer also the other osgearth-(bin|dev) packages and

osg-(bin|dev|libs) without solve the problem.

History

#1 - 2018-01-21 08:11 PM - Mieczysław Trocki

Lack of gdal200.dll in installation files.

Workaround: copy it from one of previous versions (i.e. 2.18.6) to folder C:\Program Files\QGIS 2.18\bin

#2 - 2018-01-21 10:12 PM - Jürgen Fischer

- Assignee deleted (Pirmin Kalberer)

- Category changed from C++ plugins/Globe to Windows Package

osgearth packaging issue

#3 - 2018-01-23 01:48 PM - Andrea Giudiceandrea

Mieczysław Trocki wrote:

Lack of gdal200.dll in installation files.

You are right, it works. I added it using the OSGeo4W installer (gdal200dll package).

So it seems an OSGeo4W issue about dependencies of "OSG Earth (libraries)" package: in fact osgEarth.dll in osgearth-libs 2.7-1 (curr) depends on

gdal200.dll and in osgearth-libs 2.4-1 (prev) depends on gdal110.dll.
Should I write a bug report in OSGeo4W bug tracker?

#4 - 2018-02-02 03:18 PM - Jürgen Fischer

- Resolution set to fixed/implemented

- Status changed from Open to Closed

osg-libs depends on gdal200dll now.
